Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.helpers
Class AbstractUnmarshallerImpl

    java.lang.Object
      javax.xml.bind.helpers.AbstractUnmarshallerImpl

All Implemented Interfaces:
  Unmarshaller

    public abstract class AbstractUnmarshallerImpl

extends Object
implements Unmarshaller

Partial default `Unmarshaller` implementation.

This class provides a partial default implementation for the `Unmarshaller`interface.

A JAXB Provider has to implement five methods (getUnmarshallerHandler, unmarshal(Node), unmarshal(XMLReader,InputSource), unmarshal(XMLStreamReader), and unmarshal(XMLEventReader).

Since:
  JAXB1.0
See Also:
  `Unmarshaller`

Nested Class Summary

Nested classes/interfaces inherited from interface javax.xml.bind.Unmarshaller
`Unmarshaller.Listener`

Field Summary
`protected boolean` | `validating` whether or not the unmarshaller will validate

Constructor Summary
`AbstractUnmarshallerImpl()`

Method Summary
`protected UnmarshalException` | `createUnmarshalException(SAXException e)` Creates an UnmarshalException from a SAXException.
`
`<A extends XmlAdapter> A`
` | `getAdapter(Class<A> type)` Gets the adapter associated with the specified type.
`AttachmentUnmarshaller` | `getAttachmentUnmarshaller()`
`ValidationEventHandler` | `getEventHandler()` Return the current event handler or the default event handler if one hasn't been set.
`Unmarshaller.Listener` | `getListener()` Return `Unmarshaller.Listener` registered with this `Unmarshaller`.
`Object` | `getProperty(String name)` Default implementation of the getProperty method always throws PropertyException since there are no required properties.
`Schema` | `getSchema()` Get the JAXP 1.3 `Schema` object being used to perform unmarshal-time validation.
`protected XMLReader` | `getXMLReader()` Obtains a configured XMLReader.
`boolean` | `isValidating()` Indicates whether or not the Unmarshaller is configured to validate during unmarshal operations.
`
`<A extends XmlAdapter> void`
` | `setAdapter(Class<A> type, A adapter)` Associates a configured instance of `XmlAdapter` with this unmarshaller.
`void` | `setAdapter(XmlAdapter adapter)` Associates a configured instance of `XmlAdapter` with this unmarshaller.
`void` | `setAttachmentUnmarshaller(AttachmentUnmarshaller au)` Associate a context that resolves cid's, content-id URIs, to binary data passed as attachments.
`void` | `setEventHandler(ValidationEventHandler handler)` Allow an application to register a validation event handler.
`void` | `setListener(Unmarshaller.Listener listener)` Register unmarshal event callback `Unmarshaller.Listener` with this `Unmarshaller`.
`void` | `setProperty(String name, Object value)` Default implementation of the setProperty method always throws PropertyException since there are no required properties.
`void` | `setSchema(Schema schema)` Specify the JAXP 1.3 `Schema` object that should be used to validate subsequent unmarshal operations against.
`void` | `setValidating(boolean validating)` Specifies whether or not the Unmarshaller should validate during unmarshal operations.
`Object` | `unmarshal(File f)` Unmarshal XML data from the specified file and return the resulting content tree.
`Object` | `unmarshal(InputSource source)` Unmarshal XML data from the specified SAX InputSource and return the resulting content tree.
`Object` | `unmarshal(InputStream is)` Unmarshal XML data from the specified InputStream and return the resulting content tree.
`
`<T> JAXBElement<T>`
` | `unmarshal(Node node, Class<T> expectedType)` Unmarshal XML data by JAXB mapped `declaredType` and return the resulting content tree.
`Object` | `unmarshal(Reader reader)` Unmarshal XML data from the specified Reader and return the resulting content tree.
`Object` | `unmarshal(Source source)` Unmarshal XML data from the specified XML Source and return the resulting content tree.
`
`<T> JAXBElement<T>`
` | `unmarshal(Source source, Class<T> expectedType)` Unmarshal XML data from the specified XML Source by `declaredType` and return the resulting content tree.
`Object` | `unmarshal(URL url)` Unmarshal XML data from the specified URL and return the resulting content tree.
`Object` | `unmarshal(XMLEventReader reader)` Unmarshal XML data from the specified pull parser and return the resulting content tree.
`
`<T> JAXBElement<T>`
` | `unmarshal(XMLEventReader reader, Class<T> expectedType)` Unmarshal root element to JAXB mapped `declaredType` and return the resulting content tree.
`protected abstract Object` | `unmarshal(XMLReader reader, InputSource source)` Unmarshals an object by using the specified XMLReader and the InputSource.
`Object` | `unmarshal(XMLStreamReader reader)` Unmarshal XML data from the specified pull parser and return the resulting content tree.
`
`<T> JAXBElement<T>`
` | `unmarshal(XMLStreamReader reader, Class<T> expectedType)` Unmarshal root element to JAXB mapped `declaredType` and return the resulting content tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.bind.Unmarshaller
`getUnmarshallerHandler, unmarshal`

Field Detail

### validating

    protected boolean validating

  whether or not the unmarshaller will validate

Constructor Detail

### AbstractUnmarshallerImpl

    public AbstractUnmarshallerImpl()

Method Detail

### getXMLReader

    protected XMLReader getXMLReader()
                              throws JAXBException

  Obtains a configured XMLReader. This method is used when the client-specified `SAXSource` object doesn't have XMLReader. `Unmarshaller` is not re-entrant, so we will only use one instance of XMLReader.

  Throws:
    `JAXBException`

### unmarshal

    public Object unmarshal(Source source)
                     throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified XML Source and return the resulting content tree.

  Implements Unmarshal Global Root Element.

  SAX 2.0 Parser Pluggability

  A client application can choose not to use the default parser mechanism supplied with their JAXB provider. Any SAX 2.0 compliant parser can be substituted for the JAXB provider's default mechanism. To do so, the client application must properly configure a `SAXSource` containing an `XMLReader` implemented by the SAX 2.0 parser provider. If the `XMLReader` has an `org.xml.sax.ErrorHandler` registered on it, it will be replaced by the JAXB Provider so that validation errors can be reported via the `ValidationEventHandler` mechanism of JAXB. If the `SAXSource` does not contain an `XMLReader`, then the JAXB provider's default parser mechanism will be used.

  This parser replacement mechanism can also be used to replace the JAXB provider's unmarshal-time validation engine. The client application must properly configure their SAX 2.0 compliant parser to perform validation (as shown in the example above). Any `SAXParserExceptions` encountered by the parser during the unmarshal operation will be processed by the JAXB provider and converted into JAXB `ValidationEvent` objects which will be reported back to the client via the `ValidationEventHandler` registered with the `Unmarshaller`. Note: specifying a substitute validating SAX 2.0 parser for unmarshalling does not necessarily replace the validation engine used by the JAXB provider for performing on-demand validation.

  The only way for a client application to specify an alternate parser mechanism to be used during unmarshal is via the `unmarshal(SAXSource)` API. All other forms of the unmarshal method (File, URL, Node, etc) will use the JAXB provider's default parser and validator mechanisms.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `source` - the XML Source to unmarshal XML data from (providers are only required to support SAXSource, DOMSource, and StreamSource)
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data
  See Also:
    `Unmarshaller.unmarshal(javax.xml.transform.Source, Class)`

### unmarshal

    protected abstract Object unmarshal(XMLReader reader,
                                        InputSource source)
                                 throws JAXBException

  Unmarshals an object by using the specified XMLReader and the InputSource. The callee should call the setErrorHandler method of the XMLReader so that errors are passed to the client-specified ValidationEventHandler.

  Throws:
    `JAXBException`

### unmarshal

    public final Object unmarshal(InputSource source)
                           throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified SAX InputSource and return the resulting content tree.

  Implements Unmarshal Global Root Element.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `source` - the input source to unmarshal XML data from
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public final Object unmarshal(URL url)
                           throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified URL and return the resulting content tree.

  Implements Unmarshal Global Root Element.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `url` - the url to unmarshal XML data from
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public final Object unmarshal(File f)
                           throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified file and return the resulting content tree.

  Implements Unmarshal Global Root Element.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `f` - the file to unmarshal XML data from
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public final Object unmarshal(InputStream is)
                           throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified InputStream and return the resulting content tree. Validation event location information may be incomplete when using this form of the unmarshal API.

  Implements Unmarshal Global Root Element.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `is` - the InputStream to unmarshal XML data from
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public final Object unmarshal(Reader reader)
                           throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified Reader and return the resulting content tree. Validation event location information may be incomplete when using this form of the unmarshal API, because a Reader does not provide the system ID.

  Implements Unmarshal Global Root Element.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `reader` - the Reader to unmarshal XML data from
  Returns:
    the newly created root object of the java content tree
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### isValidating

    public boolean isValidating()
                         throws JAXBException

  Indicates whether or not the Unmarshaller is configured to validate during unmarshal operations.

  Note: I named this method isValidating() to stay in-line with JAXP, as opposed to naming it getValidating().

  Specified by:
    `isValidating` in interface `Unmarshaller`
  Returns:
    true if the Unmarshaller is configured to validate during unmarshal operations, false otherwise
  Throws:
    `JAXBException` - if an error occurs while retrieving the validating flag

### setEventHandler

    public void setEventHandler(ValidationEventHandler handler)
                         throws JAXBException

  Allow an application to register a validation event handler.

  The validation event handler will be called by the JAXB Provider if any validation errors are encountered during calls to any of the `unmarshal` methods. If the client application does not register a validation event handler before invoking the unmarshal methods, then all validation events will be silently ignored and may result in unexpected behaviour.

  Specified by:
    `setEventHandler` in interface `Unmarshaller`
  Parameters:
    `handler` - the validation event handler
  Throws:
    `JAXBException` - if an error was encountered while setting the event handler

### setValidating

    public void setValidating(boolean validating)
                       throws JAXBException

  Specifies whether or not the Unmarshaller should validate during unmarshal operations. By default, the `Unmarshaller` does not validate.

  This method may only be invoked before or after calling one of the unmarshal methods.

  Specified by:
    `setValidating` in interface `Unmarshaller`
  Parameters:
    `validating` - true if the Unmarshaller should validate during unmarshal, false otherwise
  Throws:
    `JAXBException` - if an error occurred while enabling or disabling validation at unmarshal time

### getEventHandler

    public ValidationEventHandler getEventHandler()
                                           throws JAXBException

  Return the current event handler or the default event handler if one hasn't been set.

  Specified by:
    `getEventHandler` in interface `Unmarshaller`
  Returns:
    the current ValidationEventHandler or the default event handler if it hasn't been set
  Throws:
    `JAXBException` - if an error was encountered while getting the current event handler

### createUnmarshalException

    protected UnmarshalException createUnmarshalException(SAXException e)

  Creates an UnmarshalException from a SAXException. This is an utility method provided for the derived classes.

  When a provider-implemented ContentHandler wants to throw a JAXBException, it needs to wrap the exception by a SAXException. If the unmarshaller implementation blindly wrap SAXException by JAXBException, such an exception will be a JAXBException wrapped by a SAXException wrapped by another JAXBException. This is silly.

  This method checks the nested exception of SAXException and reduce those excessive wrapping.

  Returns:
    the resulting UnmarshalException

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws PropertyException

  Default implementation of the setProperty method always throws PropertyException since there are no required properties. If a provider needs to handle additional properties, it should override this method in a derived class.

  Specified by:
    `setProperty` in interface `Unmarshaller`
  Parameters:
    `name` - the name of the property to be set. This value can either be specified using one of the constant fields or a user supplied string.
    `value` - the value of the property to be set
  Throws:
    `PropertyException` - when there is an error processing the given property or value

### getProperty

    public Object getProperty(String name)
                       throws PropertyException

  Default implementation of the getProperty method always throws PropertyException since there are no required properties. If a provider needs to handle additional properties, it should override this method in a derived class.

  Specified by:
    `getProperty` in interface `Unmarshaller`
  Parameters:
    `name` - the name of the property to retrieve
  Returns:
    the value of the requested property
  Throws:
    `PropertyException` - when there is an error retrieving the given property or value property name

### unmarshal

    public Object unmarshal(XMLEventReader reader)
                     throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified pull parser and return the resulting content tree.

  This method is an Unmarshal Global Root method.

  This method assumes that the parser is on a START_DOCUMENT or START_ELEMENT event. Unmarshalling will be done from this start event to the corresponding end event. If this method returns successfully, the `reader` will be pointing at the token right after the end event.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `reader` - The parser to be read.
  Returns:
    the newly created root object of the java content tree.
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data
  See Also:
    `Unmarshaller.unmarshal(javax.xml.stream.XMLEventReader, Class)`

### unmarshal

    public Object unmarshal(XMLStreamReader reader)
                     throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified pull parser and return the resulting content tree.

  Implements Unmarshal Global Root Element.

  This method assumes that the parser is on a START_DOCUMENT or START_ELEMENT event. Unmarshalling will be done from this start event to the corresponding end event. If this method returns successfully, the `reader` will be pointing at the token right after the end event.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `reader` - The parser to be read.
  Returns:
    the newly created root object of the java content tree.
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data
  See Also:
    `Unmarshaller.unmarshal(javax.xml.stream.XMLStreamReader, Class)`

### unmarshal

    public <T> JAXBElement<T> unmarshal(Node node,
                                        Class<T> expectedType)
                             throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data by JAXB mapped `declaredType` and return the resulting content tree.

  Implements Unmarshal by Declared Type

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `node` - the document/element to unmarshal XML data from. The caller must support at least Document and Element.
    `expectedType` - appropriate JAXB mapped class to hold `node`'s XML data.
  Returns:
    JAXB Element representation of `node`
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public <T> JAXBElement<T> unmarshal(Source source,
                                        Class<T> expectedType)
                             throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal XML data from the specified XML Source by `declaredType` and return the resulting content tree.

  Implements Unmarshal by Declared Type

  See SAX 2.0 Parser Pluggability

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `source` - the XML Source to unmarshal XML data from (providers are only required to support SAXSource, DOMSource, and StreamSource)
    `expectedType` - appropriate JAXB mapped class to hold `source`'s xml root element
  Returns:
    Java content rooted by JAXB Element
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public <T> JAXBElement<T> unmarshal(XMLStreamReader reader,
                                        Class<T> expectedType)
                             throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal root element to JAXB mapped `declaredType` and return the resulting content tree.

  This method implements unmarshal by declaredType.

  This method assumes that the parser is on a START_DOCUMENT or START_ELEMENT event. Unmarshalling will be done from this start event to the corresponding end event. If this method returns successfully, the `reader` will be pointing at the token right after the end event.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `reader` - The parser to be read.
    `expectedType` - appropriate JAXB mapped class to hold `reader`'s START_ELEMENT XML data.
  Returns:
    content tree rooted by JAXB Element representation
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### unmarshal

    public <T> JAXBElement<T> unmarshal(XMLEventReader reader,
                                        Class<T> expectedType)
                             throws JAXBException

  Description copied from interface: `Unmarshaller`
  Unmarshal root element to JAXB mapped `declaredType` and return the resulting content tree.

  This method implements unmarshal by declaredType.

  This method assumes that the parser is on a START_DOCUMENT or START_ELEMENT event. Unmarshalling will be done from this start event to the corresponding end event. If this method returns successfully, the `reader` will be pointing at the token right after the end event.

  Specified by:
    `unmarshal` in interface `Unmarshaller`
  Parameters:
    `reader` - The parser to be read.
    `expectedType` - appropriate JAXB mapped class to hold `reader`'s START_ELEMENT XML data.
  Returns:
    content tree rooted by JAXB Element representation
  Throws:
    `JAXBException` - If any unexpected errors occur while unmarshalling
    `UnmarshalException` - If the `ValidationEventHandler` returns false from its `handleEvent` method or the `Unmarshaller` is unable to perform the XML to Java binding. See Unmarshalling XML Data

### setSchema

    public void setSchema(Schema schema)

  Description copied from interface: `Unmarshaller`
  Specify the JAXP 1.3 `Schema` object that should be used to validate subsequent unmarshal operations against. Passing null into this method will disable validation.

  This method replaces the deprecated `setValidating(boolean)` API.

  Initially this property is set to `null`.

  Specified by:
    `setSchema` in interface `Unmarshaller`
  Parameters:
    `schema` - Schema object to validate unmarshal operations against or null to disable validation

### getSchema

    public Schema getSchema()

  Description copied from interface: `Unmarshaller`
  Get the JAXP 1.3 `Schema` object being used to perform unmarshal-time validation. If there is no Schema set on the unmarshaller, then this method will return null indicating that unmarshal-time validation will not be performed.

  This method provides replacement functionality for the deprecated `Unmarshaller.isValidating()` API as well as access to the Schema object. To determine if the Unmarshaller has validation enabled, simply test the return type for null:

  `boolean isValidating = u.getSchema()!=null;`

  Specified by:
    `getSchema` in interface `Unmarshaller`
  Returns:
    the Schema object being used to perform unmarshal-time validation or null if not present

### setAdapter

    public void setAdapter(XmlAdapter adapter)

  Description copied from interface: `Unmarshaller`
  Associates a configured instance of `XmlAdapter` with this unmarshaller.

  This is a convenience method that invokes `setAdapter(adapter.getClass(),adapter);`.

  Specified by:
    `setAdapter` in interface `Unmarshaller`
  See Also:
    `Unmarshaller.setAdapter(Class,XmlAdapter)`

### setAdapter

    public <A extends XmlAdapter> void setAdapter(Class<A> type,
                                                  A adapter)

  Description copied from interface: `Unmarshaller`
  Associates a configured instance of `XmlAdapter` with this unmarshaller.

  Every unmarshaller internally maintains a `Map`<`Class`,`XmlAdapter`>, which it uses for unmarshalling classes whose fields/methods are annotated with `XmlJavaTypeAdapter`.

  This method allows applications to use a configured instance of `XmlAdapter`. When an instance of an adapter is not given, an unmarshaller will create one by invoking its default constructor.

  Specified by:
    `setAdapter` in interface `Unmarshaller`
  Parameters:
    `type` - The type of the adapter. The specified instance will be used when `XmlJavaTypeAdapter.value()` refers to this type.
    `adapter` - The instance of the adapter to be used. If null, it will un-register the current adapter set for this type.

### getAdapter

    public <A extends XmlAdapter> A getAdapter(Class<A> type)

  Description copied from interface: `Unmarshaller`
  Gets the adapter associated with the specified type. This is the reverse operation of the `Unmarshaller.setAdapter(javax.xml.bind.annotation.adapters.XmlAdapter)` method.

  Specified by:
    `getAdapter` in interface `Unmarshaller`

### setAttachmentUnmarshaller

    public void setAttachmentUnmarshaller(AttachmentUnmarshaller au)

  Description copied from interface: `Unmarshaller`

  Associate a context that resolves cid's, content-id URIs, to binary data passed as attachments.

  Unmarshal time validation, enabled via `Unmarshaller.setSchema(Schema)`, must be supported even when unmarshaller is performing XOP processing.

  Specified by:
    `setAttachmentUnmarshaller` in interface `Unmarshaller`

### getAttachmentUnmarshaller

    public AttachmentUnmarshaller getAttachmentUnmarshaller()

  Specified by:
    `getAttachmentUnmarshaller` in interface `Unmarshaller`

### setListener

    public void setListener(Unmarshaller.Listener listener)

  Description copied from interface: `Unmarshaller`

  Register unmarshal event callback `Unmarshaller.Listener` with this `Unmarshaller`.

  There is only one Listener per Unmarshaller. Setting a Listener replaces the previous set Listener. One can unregister current Listener by setting listener to `null`.

  Specified by:
    `setListener` in interface `Unmarshaller`
  Parameters:
    `listener` - provides unmarshal event callbacks for this `Unmarshaller`

### getListener

    public Unmarshaller.Listener getListener()

  Description copied from interface: `Unmarshaller`

  Return `Unmarshaller.Listener` registered with this `Unmarshaller`.

  Specified by:
    `getListener` in interface `Unmarshaller`
  Returns:
    registered `Unmarshaller.Listener` or `null` if no Listener is registered with this Unmarshaller.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.